summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDarius Makovsky <traveltissues@protonmail.com>2019-10-07 11:03:40 +0100
committerDarius Makovsky <traveltissues@protonmail.com>2019-10-07 11:03:40 +0100
commitb2d2e0841ddb3f2f639fdb5825cc1ea0b89cd8d3 (patch)
tree429afc711474f92576651516386ca3706265c0f9
parentaba467a6df566086274dfd93f4791b6f4a3279a1 (diff)
downloadbuildstream-traveltissues/future.tar.gz
-rwxr-xr-xtest.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 000000000..0e197faf5
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -ex
+
+CMD="sudo python3 -m tox -- --integration -vv"
+
+TD="tests"
+F="${TD}/frontend"
+W="${F}/workspace.py::"
+P="${F}/push.py::"
+S="${F}/show.py::"
+I="${TD}/integration"
+IW="${I}/workspace.py::"
+IS="${I}/shell.py::"
+
+TESTS=(
+"${W}test_build"
+"${W}test_detect_modifications"
+"${W}test_cache_key_workspace_in_dependencies"
+"${W}test_close_removed"
+"${W}test_inconsitent_pipeline_message"
+)
+
+for T in "${TESTS[@]}"; do
+ $CMD "${T}"
+done